<!doctype html>
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->

<?php
/*
	Copyright 2018-2019 Bery Rinaldo

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as 
	published by the Free Software Foundation. A copy of the license is at
	http://www.gnu.org/licenses/gpl-2.0.html

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
*/
?>

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1">

<link rel="shortcut icon" href="/images/favicon.ico"  type="image/x-icon" />
<link rel='stylesheet' id='highresponsive-fonts-css'  href='https://fonts.googleapis.com/css?family=Lato%3A300%2C400%2C700%2C900%2C300italic%2C400italic%2C700italic%2C900italic%7CPlayfair+Display%3A400%2C700%2C900%2C400italic%2C700italic%2C900italic%7CInconsolata%3A400&#038;subset=latin%2Clatin-ext' type='text/css' media='all' />

<style>
body {
  font-family: 'Lato',Arial,Helvetica;
}
a {
    color: #000000;
    text-decoration: none;
}
a:hover { 
    color: #4686cc;
}

#sublogo { 
  margin:auto;
  padding:0;
}
#sublogo img{margin-left:auto; margin-right:auto; margin-top: 2px; margin-bottom: 2px; display:block; width:auto; max-height:80px;}

p {
    /* adjust here for paragraph margins -- start 0.4em; end 0.2em; */
    margin-block-start: 0;
    margin-block-end: 0;
}

.inday {
  min-height: 4em;
  font-family: 'Lato',Arial,Helvetica;
  font-size: 7pt;
  padding-top: 3px;
  padding-left: 3px;
  padding-bottom: 3px;
  /*line-height: 1.3em;*/
}
@media screen and (max-width:639px) {
  .inday {
    visibility:hidden;
    display:none;
  }
}

@media print {
  @page {
    size:letter landscape;
  }
  table {
    page-break-inside: avoid;
  }
}

.picwrap {
  width:100%;
  padding:2px;
  margin:auto;
}
.innerpic {
  width:100%;
  height:100%;
  max-width:640px;
  margin:auto;
}
@media (max-height: 320px) {
.innerpic {
  max-width:320px;
  margin:auto;
}
}

</style>

<script>
function go_away()
{
  if (window.navigator.standalone) {
    window.history.back();
  } else {
    self.close();
  }
}
</script>

<?php

include '../../../wp-load.php';

# PHP will read to EOL with fgets...
$auto_detect_line_endings = TRUE;

global $debug;
$debug = 0;

if (isset($_GET['debug']) && ($_GET['debug'] !== '')) {
	$debug = $_GET['debug'];
}

if (isset($_GET['event']) && ($_GET['event'] !== '')) {
  $event = $_GET['event'];
}

$hp = ABSPATH;
$motop = "mo-media/pictures";
$hurl = home_url("/");
print "<!-- DEBUG hurl $hurl motop $motop hp $hp -->\n";

$picturesbase = "$hp$motop";


if (file_exists("$picturesbase/$event/title.txt")) {
  $file_data = file("$picturesbase/$event/title.txt");
  $title = rtrim($file_data[0]);
  print "<title>$title @ Mount Olive Ministries</title>\n";
} else {
  print "<title>Pictures @ Mount Olive Ministries</title>\n";
}

$image = "";

$filelist = array();
$filecount = 0;

$top = dir("$picturesbase/$event/thumbnails");
while($file = $top->read()) {
  if ( $file == "." || $file == ".." || substr($file,0,2) == "._" ) {
    continue;
  }
  if ( preg_match("/.jpg$/",$file) ) {
    $filelist[$filecount++] = $file;
  }
}
$top->close();

sort($filelist);

$imgindex = 0;
$image = $filelist[$imgindex];

if (isset($_GET['image']) && ($_GET['image'] !== '')) {
  $image = $_GET['image'];

  for ($i=0; $i < $filecount; $i++) {
    if ($image == $filelist[$i]) {
      $imgindex = $i;
    }
  }
}

  print "<script>\n";
  print "var imgShow = new Array($filecount);\n";
  print "var imgPath = new Array($filecount);\n";
  for ($i=0; $i < $filecount; $i++) {
    print "imgShow[$i] = new Image();\n";
    print "imgPath[$i] = \"${hurl}$motop/$event/images/$filelist[$i]\";\n";
  }
  print "var imgCount = $filecount;\n";
  print "var frame = $imgindex;\n";

print "function stepFwd() {\n";
print "  frame = (frame + 1);\n";
print "  if(frame >= $filecount) {\n";
print "    frame = $filecount;\n";
print "  }\n";
print "  if (imgPath[frame]) {\n";
print "    imgShow[frame].src = imgPath[frame];\n";
print "    imgPath[frame] = null;\n";
print "  }\n";
print "  document.theImage.src = imgShow[frame].src;\n";
print "}\n";

print "function stepBack() {\n";
print "  frame = (frame - 1);\n";
print "  if (frame < 0) {\n";
print "    frame = 0;\n";
print "  }\n";
print "  if (imgPath[frame]) {\n";
print "    imgShow[frame].src = imgPath[frame];\n";
print "    imgPath[frame] = null;\n";
print "  }\n";
print "  document.theImage.src = imgShow[frame].src;\n";
print "}\n";

  print "</script>\n";

$org_name = get_option( 'blogname' );
print "<div id=\"sublogo\">\n";
print "<div style=\"width: 100%; text-align: center;\"><span style=\"font-family:'Lato',Arial,Heletica; font-size: 16pt; font-weight: 900; letter-spacing: 0.05em;\"><a target=\"_blank\" href=\"$hurl\">$org_name</a></span><br><span style=\"font-family:'Lato',Arial,Heletica; font-size: 9pt; color: rgb(52, 52, 52);\">connections that matter</span></div><br>\n";
print "</div> <!-- sublogo -->\n";
?>

<div id="content">

<center>
<h1>
<?php print $title; ?>
</h1>

<form name="showForm">
<table id="photos" cellpadding="0" cellspacing="0" width="100%" border="0">

<?php

  print "<tr>\n";
  print "<td width=\"140\"align=\"left\"><INPUT TYPE=\"button\" class=\"smallgreybutton\" VALUE=\"<<\" NAME=\"showStepBack\" onClick=\"stepBack()\"></td>\n";
  print "<td colspan=\"3\" width=\"420\" align=\"center\"><a href=\"javascript:go_away()\"><center>close</center></a></td>\n";
  print "<td width=\"140\"align=\"right\"><INPUT TYPE=\"button\" class=\"smallgreybutton\" VALUE=\">>\" NAME=\"showStepFwd\" onClick=\"stepFwd()\"></td>\n";
  print "</tr>\n";

  $size = @getimagesize ("$picturesbase/$event/images/$image");

  if ($size == "") {
    print "<tr><td colspan=\"5\"><center>Sorry, large image not found</center></td></tr>";
  } else {
    print "<tr><td colspan=\"5\"><div class=\"picwrap\"><div class=\"innerpic\"><a href=\"javascript:stepFwd();\"><img name=\"theImage\" border=\"0\" class=\"innerpic\" src=\"${hurl}$motop/$event/images/$image\"></a></div></div></td></tr>";
  }

$imgonly = "true";

if ($imgonly == "") {
$maxcolumns=5;

$columns=0;
$intd=0;
$intr=0;
for ($i=0; $i < $filecount; $i++) {
  $myfile = $filelist[$i];
  if ($columns == $maxcolumns) {
    print "</tr>\n";
    $intr = 0;
    $columns = 0;
  }
  if ($columns == 0 && $intr == 0) {
    print "<tr>\n";
    $intr = 1;
  }
  print "<td width=\"140\" align=\"center\"><a border=\"0\" href=\"display.php?event=$event&image=$myfile\"><img border=\"0\" src=\"$event/thumbnails/$myfile\"></a></td>\n";
  $columns++;
}
while ($columns != $maxcolumns) {
  print "<td width=\"140\">&nbsp;</td>\n";
  $columns++;
}
if ($intr) {
  print "</tr>\n";
}
} else {
  print "<tr><td colspan=\"5\"><p><center>Click the picture to advance to the next or use the buttons above to step forward or back.</center></p><p>&nbsp;</p><p>&nbsp;</p><p>&nbsp;</p></tr>\n";
}

?>

</table>
</form>
</center>
</body>
</html>
